# bouncier default animation
Framer.Defaults.Animation = curve: "spring(400, 30)"


layerA = new Layer
	size: 250
	borderRadius: 9
	backgroundColor: "#28AFFA"
	point: Align.center
	originZ: 200  # rotation point closer to viewer
	style:
		fontWeight: 600
		fontSize: "100px"
		lineHeight: "250px"
		textAlign: "center"


layerA.onMouseOver ->
	this.html = "🐭"

layerA.onMouseMove ->
	xInLayer = event.clientX - layerA.x
	yInLayer = event.clientY - layerA.y
	# making Hue and Lightness values
	newHue = Utils.modulate xInLayer, [0,250], [0,360], yes
	newLightness = Utils.modulate yInLayer, [0,250], [95,0], yes
	# giving the layer a new backgroundColor
	this.backgroundColor = "hsl(#{newHue}, 95, #{newLightness})"

layerA.onMouseDown ->
	this.scale = 0.94

layerA.onMouseUp ->
	this.scale = 1

layerA.onMouseOut ->
	this.html = ""

Framer.Device.screen.onMouseWheel ->
	layerA.animate
		rotationX: layerA.rotationX + event.deltaY
